﻿<br />
<div style="margin-left:20px;text-align:center">
    <div style="display:block; clear:both">
        <div style="float:left; text-align:left; width:110px">
            @Html.DevExpress().Label(
                     edtSettings =>
                     {
                         edtSettings.ControlStyle.CssClass = "label";
                         edtSettings.Text = "Detail Order No";
                         edtSettings.AssociatedControlName = "DetailOrderNo";
                     }
                 ).GetHtml()
            <b style=" color:Red;">*</b>
        </div>
        <div style="float:left; margin-left:2px">
            @Html.DevExpress().ComboBox(
                       edtSettings =>
                       {
                           edtSettings.Name = "DetailOrderNo";
                           edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(145);
                           edtSettings.ControlStyle.CssClass = "editor";
                           edtSettings.ShowModelErrors = true;
                       }
                   ).GetHtml()
        </div>
    </div>
    <br />
    <br />
    <div style="display:block; clear:both">
        <div style="float:left; text-align:left; width:110px">
            @Html.DevExpress().Label(
                      edtSettings =>
                      {
                          edtSettings.ControlStyle.CssClass = "label";
                          edtSettings.Text = "Supplier Code";
                          edtSettings.AssociatedControlName = "SupplierCode";
                      }
                  ).GetHtml()
            <b style=" color:Red;">*</b>
        </div>
        <div style="float:left; margin-left:2px">
            @Html.Partial("SupplierPartial")
        </div>
    </div>
    <br />
    <br />
    <div style="display:block; clear:both">
        <div style="float:left; text-align:left; width:110px">
            @Html.DevExpress().Label(
                     edtSettings =>
                     {
                         edtSettings.ControlStyle.CssClass = "label";
                         edtSettings.Text = "Dock";
                         edtSettings.AssociatedControlName = "Dock";
                     }
                 ).GetHtml()
            <b style=" color:Red;">*</b>
        </div>
        <div style="float:left; margin-left:2px">
            @Html.DevExpress().TextBox(
                       edtSettings =>
                       {
                           edtSettings.Name = "Dock";
                           edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(145);
                           edtSettings.ControlStyle.CssClass = "dock";
                           edtSettings.ShowModelErrors = true;
                       }
                   ).GetHtml()
        </div>
    </div>
    <br />
    <br />
    <div style="display:block; clear:both">
        <div style="float:left; text-align:left; width:110px">
            @Html.DevExpress().Label(
                       edtSettings =>
                       {
                           edtSettings.ControlStyle.CssClass = "label";
                           edtSettings.Text = "Dept Supp Time";
                           edtSettings.AssociatedControlName = "DeptSuppTime";
                       }
                   ).GetHtml()
            <b style=" color:Red;">*</b>
        </div>
        <div style="float:left; margin-left:2px">
            @Html.DevExpress().TimeEdit(
                       edtSettings =>
                       {
                           edtSettings.Name = "DeptSuppTime";
                           edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(145);
                           edtSettings.ControlStyle.CssClass = "editor";
                           edtSettings.ShowModelErrors = true;
                       }
                   ).GetHtml()
        </div>
    </div>
    <br />
    <br />
    <div style="display:block; clear:both">
        <div style="float:left; text-align:left; width:110px">
            @Html.DevExpress().Label(
                       edtSettings =>
                       {
                           edtSettings.ControlStyle.CssClass = "label";
                           edtSettings.Text = "ArrTime";
                           edtSettings.AssociatedControlName = "ArrTime";
                       }
                   ).GetHtml()
            <b style=" color:Red;">*</b>
        </div>
        <div style="float:left; margin-left:2px">
            @Html.DevExpress().TimeEdit(
                       edtSettings =>
                       {
                           edtSettings.Name = "ArrTime";
                           edtSettings.ControlStyle.CssClass = "editor";
                           edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(145);
                           edtSettings.ShowModelErrors = true;
                       }
                   ).GetHtml()
        </div>
    </div>
    <br />
    <br />
    <div style="display:block; clear:both">
        <div style="float:left; text-align:left; width:110px">&nbsp;</div>
        <div style="float:left">
            <div style="float:left">
                @Html.DevExpress().Button(
                            btnSettings =>
                            {
                                btnSettings.Name = "btnUpdate";
                                btnSettings.ControlStyle.CssClass = "button";
                                btnSettings.Text = "Update";
                                btnSettings.Width = 80;
                                btnSettings.ClientSideEvents.Click = "function(s, e){ DCLEmergency.UpdateEdit(); }";
                                btnSettings.Width = System.Web.UI.WebControls.Unit.Percentage(50);
                            }
                        ).GetHtml()
            </div><div style="width:5px;float:left;"> &nbsp; &nbsp;</div>
            <div style="float:left">
                @Html.DevExpress().Button(
                            btnSettings =>
                            {
                                btnSettings.Name = "btnCancel";
                                btnSettings.ControlStyle.CssClass = "button";
                                btnSettings.Text = "Cancel";
                                btnSettings.Width = 80;
                                btnSettings.ClientSideEvents.Click = "function(s, e){ DCLEmergency.CancelEdit(); }";
                                btnSettings.Width = System.Web.UI.WebControls.Unit.Percentage(50);
                            }
                        ).GetHtml()
            </div>
        </div>
    </div>
    <br />
    <br />
</div>
<br />